Announcement

Collapse
No announcement yet.

Nouveau Changes Prepped For Linux 4.11 Kernel

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Nouveau Changes Prepped For Linux 4.11 Kernel

    Phoronix: Nouveau Changes Prepped For Linux 4.11 Kernel

    Ben Skeggs has queued up the planned open-source NVIDIA (Nouveau) driver changes for the imminent Linux 4.11 cycle...

    http://www.phoronix.com/scan.php?pag...ux-4.11-Branch

  • #2
    And no even basic Pascal support. I don't need 3D, but there's nothing at all (I do understand nouveau devs are not to blame but it's still sad).

    As much as I like proprietary NVIDIA drivers, sometimes I hate NVIDIA for still being overly hostile towards open source - I mean it costs them perhaps less than a dozen man hours to prepare and release Pascal firmware for nouveau, yet they ostensibly do nothing. Does anyone have Jen-Hsun Huang's phone number? I wanna talk to him.

    Comment


    • #3
      Originally posted by birdie View Post
      And no even basic Pascal support.
      And already wrong.

      Comment


      • #4
        Originally posted by birdie View Post
        And no even basic Pascal support. I don't need 3D, but there's nothing at all
        GP10x modesetting has been supported since kernel 4.8.

        Comment


        • #5
          I'm assuming the FW still hasn't been released for the newest cards? Isn't it signed anyway? I see no reason not to release it besides indifference to nouveau users.

          Comment


          • #6
            Originally posted by imirkin View Post

            GP10x modesetting has been supported since kernel 4.8.
            LOL what? I'm running kernel 4.9.9 and nouveau says my GTX 1060 is unsupported/undetected.

            Idiots, idiots everywhere.

            Edit: the proper error messages are:

            nouveau 0000:01:00.0: unknown chipset (136000a1)
            nouveau: probe of 0000:01:00.0 failed with error -12
            Last edited by birdie; 02-18-2017, 02:47 AM.

            Comment


            • #7
              Originally posted by birdie View Post
              I'm running kernel 4.9.9 and nouveau says my GTX 1060 is unsupported/undetected.
              With current kernels (4.10-rcN) you should get modesetting on GTX 1060 (which should be a GP106), although it's entirely possible that 4.9 didn't include GP106 support. It did include GP102/GP104 support though, as I recall. We're still waiting for a mmiotrace before enabling modesetting on GP107 (GTX 1050) before flipping that on, but making a patch yourself is trivial.

              Comment


              • #8
                Originally posted by birdie View Post

                LOL what? I'm running kernel 4.9.9 and nouveau says my GTX 1060 is unsupported/undetected.

                Idiots, idiots everywhere.
                Stop being disrespectful towards people you never even met in your life.
                Last edited by karolherbst; 02-17-2017, 09:35 PM.

                Comment


                • #9
                  I didn't know there are actual nouveau developers here. My apologies. Most phoronix visitors are rabid Linux fanatics, so I thought that wast just the case.

                  The patch to fix GTX 1060 detection was added quite recently: https://lkml.org/lkml/2016/12/12/172 and didn't make it into 4.9.x (though I guess it could have been included in stable).
                  Last edited by birdie; 02-18-2017, 02:53 AM.

                  Comment


                  • #10
                    well, it's a new feature, so it didn't get included. 4.10 isn't far away anymore, there are even RC releases already

                    Comment

                    Working...
                    X